<?xml version="1.0"?>

  <!-- 
/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Maven Jetty plugin</title>
    <author email="vmassol@apache.org">Vincent Massol</author>
  </properties>

  <body>
    <section name="Maven Jetty plugin">
      <p>
        This plugin starts Jetty on the J2EE modules specified as
        dependencies.
      </p>
    </section>
    <section name="Using the plugin">
      <p>
        Define the WARs to deploy in Jetty as project dependencies.
        For example:
      </p>
<source><![CDATA[
  <dependency>
    <groupId>groupId</groupId>
    <artifactId>artifactId</artifactId>
    <version>version</version>
    <type>war</type>
    <properties>
      <jetty.bundle>true</jetty.bundle>
    </properties>
  </dependency>
]]></source>
      <p>
        Note: If you run the <code>jetty:run-war</code> goal, your
        current project will also be considered as a WAR and it will
        be also deployed in Jetty.
      </p>
    </section>
 </body>

</document>
